package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.Banner;
import com.redxun.knowledge.entity.dao.KnowledgeApprovalNode;
import com.redxun.knowledge.entity.vo.KnowledgeApprovalVo;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 业务--知识审批节点表数据库访问层
 */
@Mapper
public interface KnowledgeApprovalNodeMapper extends BaseDao<KnowledgeApprovalNode> {

    List<KnowledgeApprovalVo> queryApprovalNodes();

    IPage findAllApprovalNodes(IPage<Banner> page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    void deleteKnowledgeApprovalNode();
}
